<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">

    <ui:define name="titulo">Pesquisa Etapa</ui:define>
    
    <ui:define name="corpo">
    	<h1>Pesquisa Etapa</h1>
    	
    	<h:form id="frmPesquisa">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    		
    		<p:toolbar style="margin-top: 20px">
    			<p:toolbarGroup>
    				<p:button value="Novo" id="botaoNovo" outcome="/etapa/CadastroEtapa" />
    			</p:toolbarGroup>
    		</p:toolbar>
    	
	    	<p:dataTable id="tabelaEtapa" value="#{pesquisaEtapaBean.entidades}" var="etapa"
		    		style="margin-top: 20px" emptyMessage="Nenhuma etapa encontrado." rows="20"
		    		paginator="true" paginatorAlwaysVisible="false" paginatorPosition="bottom">
	    		
	    		<p:column headerText="Descrição">
	    			<h:outputText value="#{etapa.descricao}" />
	    		</p:column>

	    		<p:column headerText="Idade Mínima">
	    			<h:outputText value="#{etapa.idadeMinima}" />
	    		</p:column>
	    		
				<p:column headerText="Idade Máxima">
					<h:outputText value="#{etapa.idadeMaxima}" />
				</p:column>
				
	    		<p:column style="width: 100px; text-align: center">
	    			<p:commandButton icon="ui-icon-pencil" title="Editar" oncomplete="PF('telaEdicao').show();"
	    					update=":frmPesquisa:telaEdicao" process="@this">
	    				<f:setPropertyActionListener value="#{etapa}" target="#{pesquisaEtapaBean.entidadeSelecionada}" />
	    			</p:commandButton>
	    			<p:commandButton icon="ui-icon-trash" title="Excluir" oncomplete="PF('confirmacaoExclusao').show();"
							process="@this" update=":frmPesquisa:confirmacaoExclusaoDialog">
						<f:setPropertyActionListener target="#{pesquisaEtapaBean.entidadeSelecionada}" value="#{etapa}" />
					</p:commandButton>
	    		</p:column>
		    </p:dataTable>
		    
	    	<p:confirmDialog id="confirmacaoExclusaoDialog" widgetVar="confirmacaoExclusao"
 	        		message="Tem certeza que deseja excluir a etapa '#{pesquisaEtapaBean.entidadeSelecionada.descricao}'?"  
	                header="Exclusão de etapa" severity="alert" >
	        	<p:commandButton value="Sim" update=":frmPesquisa"
	        			onclick="PF('confirmacaoExclusao').hide();"  action="#{pesquisaEtapaBean.excluir()}" />
	        	<p:button value="Não" onclick="PF('confirmacaoExclusao').hide(); return false;" />
	    	</p:confirmDialog>
	    	
	    	<!-- Pop-Up de edição de registro -->
	    	<p:dialog id="telaEdicao" widgetVar="telaEdicao" header="Editar Etapa" closable="true" showEffect="fade" hideEffect="fade" >
	    		
	    		<p:toolbar style="margin-top: 20px">
		    		<p:toolbarGroup>
		    			<p:commandButton value="Salvar" id="botaoSalvar" action="#{pesquisaEtapaBean.salvar()}" onclick="PF('telaEdicao').hide();"
		    				update="frmPesquisa" />
		    		</p:toolbarGroup>
		    		<p:toolbarGroup align="right">
						<p:button value="Cancelar" onclick="PF('telaEdicao').hide(); return false;" />
					</p:toolbarGroup>
		    	</p:toolbar>
		    	
		    	<p:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px" columnClasses="rotulo, campo"
		    		rendered="#{pesquisaEtapaBean.entidadeSelecionada != null}">
		    		
		    		<p:outputLabel value="Descrição" for="descricao"/>
		    		<p:inputText id="descricao" size="60" maxlength="100" value="#{pesquisaEtapaBean.entidadeSelecionada.descricao}"/>
		    		
		    		<p:outputLabel value="Idade Mínima" for="idadeMinima"/>
		    		<p:inputText id="idadeMinima" size="60" maxlength="2" value="#{pesquisaEtapaBean.entidadeSelecionada.idadeMinima}"/>
		    		
		    		<p:outputLabel value="Idade Máxima" for="idadeMaxima"/>
		    		<p:inputText id="idadeMaxima" size="60" maxlength="2" value="#{pesquisaEtapaBean.entidadeSelecionada.idadeMaxima}"/>
		    		
		    	</p:panelGrid>
	    		
	    	</p:dialog>
	    	
	    </h:form>
	    
    </ui:define>
</ui:composition>